$white: #fff;
$gray-100: #f8f9fa;
$gray-200: #e9ecef;
$gray-300: #dee2e6;
$gray-400: #ced4da;
$gray-500: #adb5bd;
$gray-600: #868e96;
$gray-700: #495057;
$gray-800: #373a3c;
$gray-900: #212529;
$black: #000;

$blue: #127abf;
$indigo: #6610f2;
$purple: #613d7c;
$pink: #e83e8c;
$red: #e74a3b;
$orange: #ee7f01;
$yellow: #f6c23e;
$green: #449414;
$teal: #36b9cc;
$cyan: #9954bb;
$lightblue: lighten($blue, 20%);

$primary: $blue;
$secondary: $orange;
$success: $green;
$info: $teal;
$warning: $yellow;
$danger: $red;
$light: $gray-100;
$dark: $gray-800;

$brand-primary: #127abf;
$brand-secondary: #449414;

@import "~bootswatch/dist/cosmo/_variables.scss";
@import "~bootstrap/scss/bootstrap.scss";
@import "~bootstrap/scss/bootstrap.scss";

$fa-font-path: "../fonts";
@import "~font-awesome/scss/font-awesome";

@import "~formiojs/dist/formio.builder.css";

p {
  margin-top: revert;
  margin-bottom: revert;
}

.logo {
  height: 1.9em;
}

.text-blue {
  color: $brand-primary;
}

.text-green {
  color: $brand-secondary;
}

.loading {
  background-color: #393939;
  color: #ffffff;
  width: 100vw;
  height: 100vh;
}

.loading p {
  text-align: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.wizard-page-label {
  color: $brand-primary;
}

.formio-component-fileComponent .fileSelector {
  position: relative;
  padding: 15px;
  border: 2px dashed #ddd;
  text-align: center;
}
.formio-component-fileComponent .fileSelector .loader-wrapper {
  display: none;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
}
.formio-component-fileComponent .fileSelector .loader-wrapper .loader {
  height: 45px;
  width: 45px;
  margin-top: -23px;
  margin-left: -23px;
}
.formio-component-fileComponent .fileSelector a {
  text-decoration: underline;
}

.formio-component-fileComponent .fileSelector.fileDragOver {
  border-color: #127abe;
}

.formio-component-fileComponent .fileSelector .glyphicon, .formio-component-fileComponent .fileSelector .fa {
  font-size: 20px;
  margin-right: 5px;
}

[dir=rtl] .formio-component-fileComponent .fileSelector .fa, [dir=rtl] .formio-component-fileComponent .fileSelector .glyphicon {
  margin-right: unset;
  margin-left: 5px;
}

.formio-component-fileComponent .fileSelector .browse {
  cursor: pointer;
}

.builder-sidebar_search {
  display: none;
}

.formbuilder {
  min-width: 800px;
}

@media only screen and (max-width: 1600px) {
  .col-md-2.formcomponents {
    width:30%;
  }

  .col-md-10.formarea {
    width: 70%;
  }
}